import { SignalPing, SignalPingAggregateFilter } from '../API';
import { CRUDService, ICrudService } from '../core';
type CurrentPeriodFilters = {
    past30DaysFilter: SignalPingAggregateFilter;
};
export declare class SignalPingService extends CRUDService<SignalPing> {
    protected hasOneModels: ICrudService<SignalPing>['hasOneModels'];
    protected get periodFilters(): CurrentPeriodFilters;
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").SignalPingFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").SignalPingsListQuery, import("../API").Exact<{
        filter?: import("../API").SignalPingFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
    }>>>) => Promise<{
        __typename?: "SignalPingConnection";
        totalCount: number;
        edges: {
            __typename?: "SignalPingEdge";
            cursor: any;
            node: {
                __typename?: "SignalPing";
                id: string;
                signalID: string;
                created_at: any;
                eventID: string;
                updated_at: any;
                account?: {
                    __typename?: "Account";
                    id: string;
                    displayName?: string;
                    accountPlan?: string;
                };
                user?: {
                    __typename?: "User";
                    id: string;
                    firstName?: string;
                    lastName?: string;
                    fullName?: string;
                    email?: string;
                };
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").SignalPingsListQuery, import("../API").Exact<{
        filter?: import("../API").SignalPingFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").SignalPingsListQuery, import("../API").Exact<{
            filter?: import("../API").SignalPingFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
        }>>;
        data: import("../API").SignalPingsListQuery;
        previousData?: import("../API").SignalPingsListQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            filter?: import("../API").SignalPingFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").SignalPingsListQuery, TSubscriptionVariables = import("../API").Exact<{
            filter?: import("../API").SignalPingFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").SignalPingsListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            filter?: import("../API").SignalPingFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
        }>>(mapFn: (previousQueryResult: import("../API").SignalPingsListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").SignalPingsListQuery>, "variables">) => import("../API").SignalPingsListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").SignalPingFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").SignalPingsListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").SignalPingFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
        }>, import("../API").SignalPingsListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").SignalPingsListQuery>>;
        fetchMore: <TFetchData = import("../API").SignalPingsListQuery, TFetchVars = import("../API").Exact<{
            filter?: import("../API").SignalPingFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").SignalPingsListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").SignalPingsListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyList(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").SignalPingsListQuery, import("../API").Exact<{
        filter?: import("../API").SignalPingFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../API").SignalPingsListQuery, import("../API").Exact<{
        filter?: import("../API").SignalPingFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").SignalPingSort | import("../API").SignalPingSort[];
    }>>;
    get useGetSignalPingAggregatesBySignal(): (options: import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").GetSignalPingAggregatesQuery, import("../API").Exact<{
        id: string;
        past30DaysFilter?: SignalPingAggregateFilter;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GetSignalPingAggregatesQuery, import("../API").Exact<{
            id: string;
            past30DaysFilter?: SignalPingAggregateFilter;
        }>>;
        data: import("../API").GetSignalPingAggregatesQuery;
        previousData?: import("../API").GetSignalPingAggregatesQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            id: string;
            past30DaysFilter?: SignalPingAggregateFilter;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GetSignalPingAggregatesQuery, TSubscriptionVariables = import("../API").Exact<{
            id: string;
            past30DaysFilter?: SignalPingAggregateFilter;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GetSignalPingAggregatesQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            id: string;
            past30DaysFilter?: SignalPingAggregateFilter;
        }>>(mapFn: (previousQueryResult: import("../API").GetSignalPingAggregatesQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GetSignalPingAggregatesQuery>, "variables">) => import("../API").GetSignalPingAggregatesQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
            past30DaysFilter?: SignalPingAggregateFilter;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetSignalPingAggregatesQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
            past30DaysFilter?: SignalPingAggregateFilter;
        }>, import("../API").GetSignalPingAggregatesQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetSignalPingAggregatesQuery>>;
        fetchMore: <TFetchData = import("../API").GetSignalPingAggregatesQuery, TFetchVars = import("../API").Exact<{
            id: string;
            past30DaysFilter?: SignalPingAggregateFilter;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GetSignalPingAggregatesQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GetSignalPingAggregatesQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
}
export {};
